CREATE TABLE RET_CAIXA (
ID_RET_CAIXA INTEGER NOT NULL,
DATA_RET DATE,
HORA_RET TIME,
VALOR DECIMAL(15,2),
DESCRICAO VARCHAR(250),
PRIMARY KEY (ID_RET_CAIXA)
);

CREATE GENERATOR GEN_ID_RET_CAIXA;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_RET_CAIXA FOR RET_CAIXA
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_RET_CAIXA = gen_id(GEN_ID_RET_CAIXA,1);
END ^

COMMIT WORK ^
SET TERM ;^
